<?php
session_start();
include "verifica.php";
include("../conexion.php");
//include "correlativos.php";
include "validaciones.php";


@$xid = $_REQUEST['xnotcre_codi'];
@$xnotcre_codi = $_REQUEST['xnotcre_codi'];
@$xordcom_codi_fk_nota = $_REQUEST['xordcom_codi_fk_nota'];
@$xndocumento_nota = $_REQUEST['xndocumento_nota'];

@$xtipo_nota = $_REQUEST['xtipo_nota'];
@$xnt_credito_serie = $_REQUEST['xnt_credito_serie'];
@$xnota_credito_observacion = $_REQUEST['xnota_credito_observacion'];

@$xdetalle_nota = $_REQUEST['xdetalle_nota'];
@$xmonto_descuento = $_REQUEST['xmonto_descuento'];

@$xcantidad_devolver = $_REQUEST['xcantidad_devolver'];
@$xprecio_descontado = $_REQUEST['xprecio_descontado'];
@$xordcomdet_codi = $_REQUEST['xordcomdet_codi'];

@$xaccion=$_REQUEST['xaccion_nota_credito'];

@$xusuario_sesion = $_SESSION['nombre_usuario'];

@$xfecha = $_REQUEST['xfecha_nota_credito'];

$notcre = new Notacredito;

switch($xaccion){
		
	case "modificar": 
		if($notcre->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");
			//xop=parent.parent.document.getElementById('xop').value;
			//parent.parent.location.href="../caja.php";
			
//			parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>';
//			parent.parent.accion_pedidos('cerrar_nueva_operacion_caja');			
		
			</script>			
			<?php

		}		
		break;
	
				
	case "guardar_nuevo":
		if($notcre->guardar_nuevo($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("Nota de credito registrada satisfactoriamente.")
						
			//parent.document.getElementById('frame_pedidos_caja').src='pedidos_caja.php?xordped_codi=<?php echo $xordped_codi;?>';			
			//parent.parent.accion_pedidos('cerrar_nueva_operacion_caja');
			
			</script>			
			<?php			
		}		
		break;	
		
		
	case "resetear_creditos":
		if($notcre->resetear_creditos($conexion)==1){
			?>			
			<script language="javascript">
			//alert("Nota de credito reseteada satisfactoriamente.");
			</script>			
			<?php
			
		}		
		break;		
		
	case "devolver_cantidad":	
		if($notcre->devolver_cantidad($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("cantidad guardada.")
			
			</script>			
			<?php			
		}		
		break;	
		

	case "descontar_precio":	
		if($notcre->descontar_precio($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("cantidad guardada.")
			
			</script>			
			<?php			
		}		
		break;			
							
}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Notacredito{

	//Guarda Modificaciones de operaci�n de caja
	function modificar($conexion){
	
		global $xid, $xnotcre_codi, $xordcom_codi_fk_nota, $xndocumento_nota, $xtipo_nota, $xnt_credito_serie, $xnota_credito_observacion, $xaccion, $xusuario_sesion, $xfecha, $cor;				
		
		if($r2){	
					
			return 1;
		
		}			
	}	




	//Guarda nuevo caja
	function guardar_nuevo($conexion){
	
		global $xid, $xnotcre_codi, $xordcom_codi_fk_nota, $xndocumento_nota, $xtipo_nota, $xnt_credito_serie, $xnota_credito_observacion, $xaccion, $xusuario_sesion, $xfecha, $xdetalle_nota, $xmonto_descuento, $cor;					
				
		//$correlativo = $cor->caja($conexion);
		//$xcaj_codi = $vali->caja_abierta($conexion);

		?>
		<script language="javascript">
		//alert("xfecha: <?php echo $xfecha; ?>");			
		</script>			
		<?php

		
		$s_empresa = $_SESSION['s_empresa'];				

		$xfechahora = date('Y-m-d H:i:s');
		
		
		//if($_SESSION['s_facturacion_electronica']==1){		
		
			//$xserie = substr(trim($xndocumento_nota),0,4);
			
			//$correlativo_doc = $cor->comprobantes_grabar_nota_credito($conexion, $xserie);		
			//$correlativo_serie = $correlativo_doc;
			//$xndocumento = $correlativo_doc;
			//$xndocumento_nota = $correlativo_doc;
		//}	
		
		
		
		
		$r2=mysqli_query($conexion,"INSERT INTO nota_credito_compra (notcrecom_fechahora,
																		notcrecom_fecha,
																		notcrecom_numero,																		
																		ordcom_codi_fk,																																			
																		notcrecom_serie,
																		notcretip_codi_fk,
																		notcrecom_detalle,
																		notcrecom_descuento																		
																		) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$xndocumento_nota',
																		'$xordcom_codi_fk_nota',
																		'$xnt_credito_serie',
																		'$xtipo_nota',
																		'$xdetalle_nota',
																		'$xmonto_descuento'
																		);");				
		
		if($r2){
		
			if($xtipo_nota==1){		
			
				?>
				<script language="javascript">
				alert("ESTA");
				</script>
				<?php
				
				$r_devolver = mysqli_query($conexion,"UPDATE orden_compra_detalle SET ordcomet_cantidad_devolver = ordcomdet_cantidad 
																					WHERE ordcom_codi_fk = $xordcom_codi_fk_nota;");
				
			
			}			
			if($xtipo_nota==7){			
				$r_devolver = mysqli_query($conexion,"UPDATE orden_compra_detalle SET ordcomdet_cantidad_devolver = ordcomdet_cantidad_devolver_temporal 
																					WHERE ordcom_codi_fk = $xordcom_codi_fk_nota;");
				
			
			}		
			
			if($xtipo_nota==5){			
				$r_devolver = mysqli_query($conexion,"UPDATE orden_compra_detalle SET ordcomdet_precio_descuento = ordcomdet_precio_descuento_temporal 
																					WHERE ordcom_codi_fk = $xordcom_codi_fk_nota;");
				
			
			}									
		
			?>
			<script language="javascript">
			alert("Ha sido registrado satisfactoriamente. ");
			parent.document.form_buscar.submit();
			//parent.cerrar_nota_credito('cerrar_creditos');
			</script>			
			<?php
									
			return 1;			
		}				
	}
	
	
	
	
	
	//Reprocesando
	function reprocesar_comprobante($conexion){
		global $xaccion, $xid, $xusuario_sesion;									

		$r = mysqli_query($conexion,"UPDATE nota_credito SET notcre_txt_generado=0, 
																		notcre_codigohast='', 
																		notcre_timbrexml=0, 
																		notcre_timbreweb=0, 
																		notcre_detallerpta='' 
														WHERE notcre_codi= $xid;");		
		if($r){		

			return 1;
		}		
	}	



	//Devolver
	function devolver_cantidad($conexion){
		global $xaccion, $xcantidad_devolver, $xordcomdet_codi;
		
		?>
		<script language="javascript">
		//alert("<?php echo $xcantidad_devolver;?> --...-- <?php echo $xordcomdet_codi;?> ");
		</script>
		<?php

		$r = mysqli_query($conexion,"UPDATE orden_compra_detalle SET ordcomdet_cantidad_devolver_temporal = $xcantidad_devolver 
														WHERE ordcomdet_codi= $xordcomdet_codi;");		
		if($r){		

			return 1;
		}		
	}	

	//Descontar
	function descontar_precio($conexion){
		global $xaccion, $xprecio_descontado, $xordcomdet_codi;
		
		?>
		<script language="javascript">
		//alert("<?php echo $xprecio_descontado;?> --...-- <?php echo $xordcomdet_codi;?> ");
		</script>
		<?php

		$r = mysqli_query($conexion,"UPDATE orden_compra_detalle SET ordcomdet_precio_descuento_temporal = $xprecio_descontado 
														WHERE ordcomdet_codi= $xordcomdet_codi;");		
		if($r){		

			return 1;
		}		
	}	



	//Resetear creditos
	function resetear_creditos($conexion){
		global $xaccion, $xid, $xusuario_sesion, $xordcom_codi_fk_nota;									

		$r = mysqli_query($conexion,"DELETE FROM nota_credito_compra WHERE notcrecom_codi= $xid;");	
			
		if($r){			
			$rg = mysqli_query($conexion,"UPDATE orden_compra_detalle
									SET ordcomdet_cantidad_devolver_temporal=0,
									ordcomdet_cantidad_devolver=0,
									ordcomdet_precio_descuento_temporal=0,
									ordcomdet_precio_descuento=0
									WHERE ordcom_codi_fk=$xordcom_codi_fk_nota;");		
			?>
			<script language="javascript">
			alert("Ha sido reseteado satisfactoriamente. ");
			parent.document.form_buscar.submit();
			//parent.cerrar_nota_credito('cerrar_creditos');
			</script>			
			<?php
			return 1;
		}		
	}	




}


?>

